{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-feedback') }}
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Feedback</p>
        <p class="subtitle">Обратная связь</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            {#            <p>filters</p>#}
            {#            <a href="#popup-create-page" class="block-content-menu-btn-create btn-create-page {% if urls is empty %}disabled{% endif %}">Добавить страницу</a>#}
            {#            <div class="block-content-menu-list pages-list">#}
            {#                <ul>#}
            {#                    {% for page in pagesList %}#}
            {#                        <li><a href="{{ page.link }}" {% if page.isActive %} class="active" {% endif %}>#}
            {#                                {% if page.isActive %}<i class="fas fa-stream"></i> {% else %}<i class="fas fa-bars"></i>{% endif%}#}
            {#                                {{ page.displayName }}</a></li>#}
            {#                    {% endfor %}#}
            {#                </ul>#}
            {#            </div>#}
        </div>
        <div class="block-content">
            <div class="block-content-header">
                <p class="title">Подписки</p>
                {#                <div class="title-menu">#}
                {#                    <a href="#" class="btn-save-meta"><i class="fas fa-save"></i> Сохранить</a>#}
                {#                </div>#}
            </div>
            <div class="content-list-wrapper">
                <table class="table-feedback responsive-table">
                    <thead>
                    <tr>
                        <td class="td-id">ID</td>
                        <td class="td-name">Имя</td>
                        <td class="td-email">Email</td>
                        <td class="td-text">Текст</td>
                        <td class="td-date">Дата</td>
                        <td>Действие</td>
                    </tr>
                    </thead>
                    <tbody>
                    {% for item in feedback %}
                        <tr>
                            <td>{{ item.id }}</td>
                            <td>{{ item.name }}</td>
                            <td>{{ item.email }}</td>
                            <td>{{ item.text|length > 50 ? item.text|slice(0, 50) ~ '...' : item.text }}</td>
                            <td>{{ item.created.format('d-m-Y') }}</td>
                            <td>
                                <span class="btn-delete"><i class="fas fa-trash"></i></span>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-feedback') }}
{% endblock %}